classification
Title: PEP 393 - Flexible Unicode String Representation
Type: enhancement Stage: resolved
Components: Unicode Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ezio.melotti, jcea, lemburg, loewis, torsten.becker, vstinner
Priority: normal Keywords: patch

Created on 2011-08-22 18:51 by torsten.becker, last changed 2011-09-29 20:32 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
pep-393-aug22.diff torsten.becker, 2011-08-22 18:51 Patch generated from the pep-393 branch
utf8_fast.patch vstinner, 2011-08-23 22:26
Repositories containing patches
https://bitbucket.org/t0rsten/pep-393
Messages (3)
msg142741 - (view) Author: Torsten Becker (torsten.becker) Date: 2011-08-22 18:51
I have started an implementation of PEP 393 -- Flexible String Representation [1] on bitbucket [2].  Not all code is ported to use the new API yet, but the interpreter starts with the new unicode representation, all unit tests pass, and some micro benchmarks show potential.  Please see the related wiki page [3] for details of my implementation.

[1]: http://www.python.org/dev/peps/pep-0393/
[2]: https://bitbucket.org/t0rsten/pep-393
[2]: http://wiki.python.org/moin/SummerOfCode/2011/PEP393
msg142867 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-08-23 22:26
utf8_fast.patch: fast path for pure ASCII string in the UTF-8 decoder.
msg144633 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-09-29 20:31
PEP 393 has been accepted and merged into Python 3.3.
History
Date User Action Args
2011-09-29 20:32:10ezio.melottisetstage: patch review -> resolved
2011-09-29 20:31:15vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg144633
2011-09-02 03:28:11jceasetnosy: + jcea
2011-08-23 22:26:48vstinnersetfiles: + utf8_fast.patch

messages: + msg142867
2011-08-22 19:54:33vstinnersethgrepos: + hgrepo62
2011-08-22 19:37:39ezio.melottisetnosy: + lemburg, loewis, vstinner, ezio.melotti

stage: patch review
2011-08-22 18:51:34torsten.beckercreate